Subject: FVWM: [FVWM][DONE]: <<ERROR>> Call of '' failed!!!

From: Christian Purnomo <[email-masked]>
Date: Wed, 24 Jul 1996 21:05:41 +1000 (EST)

Hi all.

I would greatly thank if someone can help me about the errors that I always
get when I restart fvwm.
I'm on fvwm2.0.43 at the moment.
THis is the mesg that it always said :
	[FVWM][DONE]: <<ERROR>> Call of '' failed!!!

The funny thing is, this doesn't happen when I fire up the fvwm for the 
first time. Then if I restart it, it gave  me that crappy message.

ta...

--
     \
     \             .signature96
    /  `.-~~--..--~~~-.              *--- Christian Purnomo ---*
   <__                 `.     E-mail: [email-masked]' PGP key: on my plan
~~~~~~~~~~~~~~~.~~~~,','~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                `.~~_,'         Computer Science - University of Melbourne
                                Web: http://www.ecr.mu.oz.au/~cpurn
                    - I haven't lost my mind, I know exactly where I left it -

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: [email-masked] (Dan Astoorian)
Date: Wed, 24 Jul 1996 08:33:30 -0400 (EDT)

The Utopia Oracle has pondered Christian Purnomo's question deeply.
Your question was:

> Hi..
> Thank so much for the reply.
> 
> But I still couldn't manage to get rid of that error.
> I have this in my .fvwm2rc file :
> 
> *FvwmButtons restart   shutdownC.xpm   Restart fvwm
> 
> does it look to you?....It does for me, but the error still occurs.
> Thanks in advance.

(I assume you've made 'fvwm' a link to 'fvwm2'.)

You're probably seeing this now, right?

| [FVWM][Done]: <<ERROR>> Call of 'fvwm
| ' failed!!!!

That's a bug in either the FvwmButtons module or the code in fvwm2 that
parses input for the Restart directive; I've reported it to the list
previously, but gotten no acknowledgement.  The problem is that the
configuration line that gets sent to the module ("*FvwmButtons [...]")
has a newline on the end; FvwmButtons doesn't strip the newline, and
when it sends the Restart command back to fvwm2, the newline's still on
the end.  Unfortunately, fvwm2 also doesn't seem to remove the trailing
whitespace, so it tries to exec "fvwm\n" (which causes the error).

A brute force workaround is to insert a null character at the end of
the line in your .fvwm2rc file, but it's probably not worth the trouble.

(Is this bug fixed for 2.1?)

--                          People shouldn't think that it's better to have
Dan Astoorian               loved and lost than never loved at all.  It's
http://www.utopia.csas.com  not, it's better to have loved and won.  All
[email-masked]       the other options really suck.    --Dan Redican
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].